org.apache.ignite.internal.interop

## Interface InteropProcessor

    public interface InteropProcessor

Interop processor.

### Method Summary

Methods
`Runnable` `cleanupCallback()` Get stop runnable to perform cleanup when interop is not longer used.
`Ignite` `ignite()` Get owning Ignite instance.

### Method Detail

#### ignite

    Ignite ignite()

Get owning Ignite instance.

Returns:
  Ignite instance.

#### cleanupCallback

    @Nullable
    Runnable cleanupCallback()

Get stop runnable to perform cleanup when interop is not longer used.

NOTE! This runnable is called when current instance of interop processor is eligible for garbage collection. Therefore you should never store any references to Ignite internal inside it. Otherwise this runnable will never be called.

Returns:
  Stop runnable. If `null` is returned, then no cleanup is expected.

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.2.0-incubating
Release Date | : June 16 2015